(height, percent, charge, low, lbr, m_color, b_color) {
	function drawRect( left, top, right, bottom, line_width ) {
		ctx.beginPath();
		ctx.lineWidth = line_width;
		ctx.moveTo( left, top );
		ctx.lineTo( left, bottom );
		ctx.lineTo( right, bottom );
		ctx.lineTo( right, top );
		ctx.closePath();
	}
	var canvas = document.createElement("canvas");
	canvas.height = height / 2;
	canvas.width = height;
	var ctx  = canvas.getContext("2d");

	ctx.strokeStyle="rgb(" + b_color.slice(0, 3).join()+ ")";
	drawRect( 0, 0, height, height/2, 3 ) ;
	ctx.stroke();
	
	var s = 3;
	var rectWidth = Math.round((height-s*2) * percent / 100);
	ctx.fillStyle="rgb(" + m_color.join()+ ")";
	drawRect( s, s, s+rectWidth, height/2-s, 1 ) ;
	ctx.fill();
	
	return canvas.toDataURL("image/png");
}

